/* =========================
   PANEL LATERAL
========================= */
.panel {
  position: fixed;
  top: 0;
  left: -100%;          /* 🔥 SIEMPRE controlamos con LEFT */
  background-color: #2196f3;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
  width: 285px;
  height: 100%;
  padding: 9rem 3.5rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  z-index: 100;
  transition: left .4s;  /* 🔥 SIEMPRE transition left */
}

/* Mostrar panel */
.show-menu {
  left: 0;
}

.panel-list {
  padding-bottom: 1.25rem;
  border-bottom: 1px solid hsl(0, 0%, 100%);
  margin-right: -56px;
}

.panel-menu, 
.panel-list {
  display: grid;
  row-gap: 2rem;
}

.panel-link {
  color: #fff;
  display: inline-flex;
  align-items: center;
  column-gap: .75rem;
}

.panel-link i {
  font-size: 1.9rem;
}

.panel-link span {
  font-size: 1rem;
}

.panel-link.activo {
  background: #fff;
  font-weight: 600;
  width: 100%;
  height: 50px;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  padding: 10px;
  color: #393939;
}  

#btn-eliminar {
  margin-bottom: 30px;
}

.cerrar-sesion {
  margin-top: 3rem;
}

/* En desktop siempre visible */
@media screen and (min-width: 968px) {
  .panel {
    left: 0;
  }
}

@media (max-width: 967px){
  .panel {
    z-index: 9999;
  }
}